<?php
/**
 * Google Font Integration
 * @author Thad Allender
 */

// Array was scraped, parsed and formatted from Google Fonts
function cleanr_font_array() {

    $fonts = array(
        "None,None" => "None",
        "Abel,Abel" => "Abel",
        "Abril+Fatface,Abril Fatface" => "Abril Fatface",
        "Aclonica,Aclonica" => "Aclonica",
        "Actor,Actor" => "Actor",
        "Adamina,Adamina" => "Adamina",
        "Aguafina+Script,Aguafina Script" => "Aguafina Script",
        "Aladin,Aladin" => "Aladin",
        "Aldrich,Aldrich" => "Aldrich",
        "Alice,Alice" => "Alice",
        "Alike+Angular,Alike Angular" => "Alike Angular",
        "Alike,Alike" => "Alike",
        "Allan,Allan" => "Allan",
        "Allerta+Stencil,Allerta Stencil" => "Allerta Stencil",
        "Allerta,Allerta" => "Allerta",
        "Amaranth,Amaranth" => "Amaranth",
        "Amatic+SC,Amatic SC" => "Amatic SC",
        "Andada,Andada" => "Andada",
        "Andika,Andika" => "Andika",
        "Annie+Use+Your+Telescope,Annie Use Your Telescope" => "Annie Use Your Telescope",
        "Anonymous+Pro,Anonymous Pro" => "Anonymous Pro",
        "Antic,Antic" => "Antic",
        "Anton,Anton" => "Anton",
        "Arapey,Arapey" => "Arapey",
        "Architects+Daughter,Architects Daughter" => "Architects Daughter",
        "Arimo,Arimo" => "Arimo",
        "Artifika,Artifika" => "Artifika",
        "Arvo,Arvo" => "Arvo",
        "Asset,Asset" => "Asset",
        "Astloch,Astloch" => "Astloch",
        "Atomic+Age,Atomic Age" => "Atomic Age",
        "Aubrey,Aubrey" => "Aubrey",
        "Bangers,Bangers" => "Bangers",
        "Bentham,Bentham" => "Bentham",
        "Bevan,Bevan" => "Bevan",
        "Bigshot+One,Bigshot One" => "Bigshot One",
        "Bitter,Bitter" => "Bitter",
        "Black+Ops+One,Black Ops One" => "Black Ops One",
        "Bowlby+One+SC,Bowlby One SC" => "Bowlby One SC",
        "Bowlby+One,Bowlby One" => "Bowlby One",
        "Brawler,Brawler" => "Brawler",
        "Bubblegum+Sans,Bubblegum Sans" => "Bubblegum Sans",
        "Buda,Buda" => "Buda",
        "Butcherman+Caps,Butcherman Caps" => "Butcherman Caps",
        "Cabin+Condensed,Cabin Condensed" => "Cabin Condensed",
        "Cabin+Sketch,Cabin Sketch" => "Cabin Sketch",
        "Cabin,Cabin" => "Cabin",
        "Cagliostro,Cagliostro" => "Cagliostro",
        "Calligraffitti,Calligraffitti" => "Calligraffitti",
        "Candal,Candal" => "Candal",
        "Cantarell,Cantarell" => "Cantarell",
        "Cardo,Cardo" => "Cardo",
        "Carme,Carme" => "Carme",
        "Carter+One,Carter One" => "Carter One",
        "Caudex,Caudex" => "Caudex",
        "Cedarville+Cursive,Cedarville Cursive" => "Cedarville Cursive",
        "Changa+One,Changa One" => "Changa One",
        "Cherry+Cream+Soda,Cherry Cream Soda" => "Cherry Cream Soda",
        "Chewy,Chewy" => "Chewy",
        "Chicle,Chicle" => "Chicle",
        "Chivo,Chivo" => "Chivo",
        "Coda+Caption,Coda Caption" => "Coda Caption",
        "Coda,Coda" => "Coda",
        "Comfortaa,Comfortaa" => "Comfortaa",
        "Coming+Soon,Coming Soon" => "Coming Soon",
        "Contrail+One,Contrail One" => "Contrail One",
        "Convergence,Convergence" => "Convergence",
        "Cookie,Cookie" => "Cookie",
        "Copse,Copse" => "Copse",
        "Corben,Corben" => "Corben",
        "Cousine,Cousine" => "Cousine",
        "Coustard,Coustard" => "Coustard",
        "Covered+By+Your+Grace,Covered By Your Grace" => "Covered By Your Grace",
        "Crafty+Girls,Crafty Girls" => "Crafty Girls",
        "Creepster+Caps,Creepster Caps" => "Creepster Caps",
        "Crimson+Text,Crimson Text" => "Crimson Text",
        "Crushed,Crushed" => "Crushed",
        "Cuprum,Cuprum" => "Cuprum",
        "Damion,Damion" => "Damion",
        "Dancing+Script,Dancing Script" => "Dancing Script",
        "Dawning+of+a+New+Day,Dawning of a New Day" => "Dawning of a New Day",
        "Days+One,Days One" => "Days One",
        "Delius+Swash+Caps,Delius Swash Caps" => "Delius Swash Caps",
        "Delius+Unicase,Delius Unicase" => "Delius Unicase",
        "Delius,Delius" => "Delius",
        "Devonshire,Devonshire" => "Devonshire",
        "Didact+Gothic,Didact Gothic" => "Didact Gothic",
        "Dorsa,Dorsa" => "Dorsa",
        "Dr+Sugiyama,Dr Sugiyama" => "Dr Sugiyama",
        "Droid+Sans+Mono,Droid Sans Mono" => "Droid Sans Mono",
        "Droid+Sans,Droid Sans" => "Droid Sans",
        "Droid+Serif,Droid Serif" => "Droid Serif",
        "EB+Garamond,EB Garamond" => "EB Garamond",
        "Eater+Caps,Eater Caps" => "Eater Caps",
        "Expletus+Sans,Expletus Sans" => "Expletus Sans",
        "Fanwood+Text,Fanwood Text" => "Fanwood Text",
        "Federant,Federant" => "Federant",
        "Federo,Federo" => "Federo",
        "Fjord+One,Fjord One" => "Fjord One",
        "Fondamento,Fondamento" => "Fondamento",
        "Fontdiner+Swanky,Fontdiner Swanky" => "Fontdiner Swanky",
        "Forum,Forum" => "Forum",
        "Francois+One,Francois One" => "Francois One",
        "Gentium+Basic,Gentium Basic" => "Gentium Basic",
        "Gentium+Book+Basic,Gentium Book Basic" => "Gentium Book Basic",
        "Geo,Geo" => "Geo",
        "Geostar+Fill,Geostar Fill" => "Geostar Fill",
        "Geostar,Geostar" => "Geostar",
        "Give+You+Glory,Give You Glory" => "Give You Glory",
        "Gloria+Hallelujah,Gloria Hallelujah" => "Gloria Hallelujah",
        "Goblin+One,Goblin One" => "Goblin One",
        "Gochi+Hand,Gochi Hand" => "Gochi Hand",
        "Goudy+Bookletter+1911,Goudy Bookletter 1911" => "Goudy Bookletter 1911",
        "Gravitas+One,Gravitas One" => "Gravitas One",
        "Gruppo,Gruppo" => "Gruppo",
        "Hammersmith+One,Hammersmith One" => "Hammersmith One",
        "Herr+Von+Muellerhoff,Herr Von Muellerhoff" => "Herr Von Muellerhoff",
        "Holtwood+One+SC,Holtwood One SC" => "Holtwood One SC",
        "Homemade+Apple,Homemade Apple" => "Homemade Apple",
        "IM+Fell+DW+Pica+SC,IM Fell DW Pica SC" => "IM Fell DW Pica SC",
        "IM+Fell+DW+Pica,IM Fell DW Pica" => "IM Fell DW Pica",
        "IM+Fell+Double+Pica+SC,IM Fell Double Pica SC" => "IM Fell Double Pica SC",
        "IM+Fell+Double+Pica,IM Fell Double Pica" => "IM Fell Double Pica",
        "IM+Fell+English+SC,IM Fell English SC" => "IM Fell English SC",
        "IM+Fell+English,IM Fell English" => "IM Fell English",
        "IM+Fell+French+Canon+SC,IM Fell French Canon SC" => "IM Fell French Canon SC",
        "IM+Fell+French+Canon,IM Fell French Canon" => "IM Fell French Canon",
        "IM+Fell+Great+Primer+SC,IM Fell Great Primer SC" => "IM Fell Great Primer SC",
        "IM+Fell+Great+Primer,IM Fell Great Primer" => "IM Fell Great Primer",
        "Iceland,Iceland" => "Iceland",
        "Inconsolata,Inconsolata" => "Inconsolata",
        "Indie+Flower,Indie Flower" => "Indie Flower",
        "Irish+Grover,Irish Grover" => "Irish Grover",
        "Istok+Web,Istok Web" => "Istok Web",
        "Jockey+One,Jockey One" => "Jockey One",
        "Josefin+Sans,Josefin Sans" => "Josefin Sans",
        "Josefin+Slab,Josefin Slab" => "Josefin Slab",
        "Judson,Judson" => "Judson",
        "Julee,Julee" => "Julee",
        "Jura,Jura" => "Jura",
        "Just+Another+Hand,Just Another Hand" => "Just Another Hand",
        "Just+Me+Again+Down+Here,Just Me Again Down Here" => "Just Me Again Down Here",
        "Kameron,Kameron" => "Kameron",
        "Kelly+Slab,Kelly Slab" => "Kelly Slab",
        "Kenia,Kenia" => "Kenia",
        "Knewave,Knewave" => "Knewave",
        "Kranky,Kranky" => "Kranky",
        "Kreon,Kreon" => "Kreon",
        "Kristi,Kristi" => "Kristi",
        "La+Belle+Aurore,La Belle Aurore" => "La Belle Aurore",
        "Lancelot,Lancelot" => "Lancelot",
        "Lato,Lato" => "Lato",
        "League+Script,League Script" => "League Script",
        "Leckerli+One,Leckerli One" => "Leckerli One",
        "Lekton,Lekton" => "Lekton",
        "Lemon,Lemon" => "Lemon",
        "Limelight,Limelight" => "Limelight",
        "Linden+Hill,Linden Hill" => "Linden Hill",
        "Lobster+Two,Lobster Two" => "Lobster Two",
        "Lobster,Lobster" => "Lobster",
        "Lora,Lora" => "Lora",
        "Love+Ya+Like+A+Sister,Love Ya Like A Sister" => "Love Ya Like A Sister",
        "Loved+by+the+King,Loved by the King" => "Loved by the King",
        "Luckiest+Guy,Luckiest Guy" => "Luckiest Guy",
        "Maiden+Orange,Maiden Orange" => "Maiden Orange",
        "Mako,Mako" => "Mako",
        "Marck+Script,Marck Script" => "Marck Script",
        "Marvel,Marvel" => "Marvel",
        "Mate+SC,Mate SC" => "Mate SC",
        "Mate,Mate" => "Mate",
        "Maven+Pro,Maven Pro" => "Maven Pro",
        "Meddon,Meddon" => "Meddon",
        "MedievalSharp,MedievalSharp" => "MedievalSharp",
        "Megrim,Megrim" => "Megrim",
        "Merienda+One,Merienda One" => "Merienda One",
        "Merriweather,Merriweather" => "Merriweather",
        "Metrophobic,Metrophobic" => "Metrophobic",
        "Michroma,Michroma" => "Michroma",
        "Miltonian+Tattoo,Miltonian Tattoo" => "Miltonian Tattoo",
        "Miltonian,Miltonian" => "Miltonian",
        "Miss+Fajardose,Miss Fajardose" => "Miss Fajardose",
        "Miss+Saint+Delafield,Miss Saint Delafield" => "Miss Saint Delafield",
        "Modern+Antiqua,Modern Antiqua" => "Modern Antiqua",
        "Molengo,Molengo" => "Molengo",
        "Monofett,Monofett" => "Monofett",
        "Monoton,Monoton" => "Monoton",
        "Monsieur+La+Doulaise,Monsieur La Doulaise" => "Monsieur La Doulaise",
        "Montez,Montez" => "Montez",
        "Mountains+of+Christmas,Mountains of Christmas" => "Mountains of Christmas",
        "Mr+Bedford,Mr Bedford" => "Mr Bedford",
        "Mr+Dafoe,Mr Dafoe" => "Mr Dafoe",
        "Mr+De+Haviland,Mr De Haviland" => "Mr De Haviland",
        "Mrs+Sheppards,Mrs Sheppards" => "Mrs Sheppards",
        "Muli,Muli" => "Muli",
        "Neucha,Neucha" => "Neucha",
        "Neuton,Neuton" => "Neuton",
        "News+Cycle,News Cycle" => "News Cycle",
        "Niconne,Niconne" => "Niconne",
        "Nixie+One,Nixie One" => "Nixie One",
        "Nobile,Nobile" => "Nobile",
        "Nosifer+Caps,Nosifer Caps" => "Nosifer Caps",
        "Nothing+You+Could+Do,Nothing You Could Do" => "Nothing You Could Do",
        "Nova+Cut,Nova Cut" => "Nova Cut",
        "Nova+Flat,Nova Flat" => "Nova Flat",
        "Nova+Mono,Nova Mono" => "Nova Mono",
        "Nova+Oval,Nova Oval" => "Nova Oval",
        "Nova+Round,Nova Round" => "Nova Round",
        "Nova+Script,Nova Script" => "Nova Script",
        "Nova+Slim,Nova Slim" => "Nova Slim",
        "Nova+Square,Nova Square" => "Nova Square",
        "Numans,Numans" => "Numans",
        "Nunito,Nunito" => "Nunito",
        "Old+Standard+TT,Old Standard TT" => "Old Standard TT",
        "Open+Sans+Condensed,Open Sans Condensed" => "Open Sans Condensed",
        "Open+Sans,Open Sans" => "Open Sans",
        "Orbitron,Orbitron" => "Orbitron",
        "Oswald,Oswald" => "Oswald",
        "Over+the+Rainbow,Over the Rainbow" => "Over the Rainbow",
        "Ovo,Ovo" => "Ovo",
        "PT+Sans+Caption,PT Sans Caption" => "PT Sans Caption",
        "PT+Sans+Narrow,PT Sans Narrow" => "PT Sans Narrow",
        "PT+Sans,PT Sans" => "PT Sans",
        "PT+Serif+Caption,PT Serif Caption" => "PT Serif Caption",
        "PT+Serif,PT Serif" => "PT Serif",
        "Pacifico,Pacifico" => "Pacifico",
        "Passero+One,Passero One" => "Passero One",
        "Patrick+Hand,Patrick Hand" => "Patrick Hand",
        "Paytone+One,Paytone One" => "Paytone One",
        "Permanent+Marker,Permanent Marker" => "Permanent Marker",
        "Petrona,Petrona" => "Petrona",
        "Philosopher,Philosopher" => "Philosopher",
        "Piedra,Piedra" => "Piedra",
        "Pinyon+Script,Pinyon Script" => "Pinyon Script",
        "Play,Play" => "Play",
        "Playfair+Display,Playfair Display" => "Playfair Display",
        "Podkova,Podkova" => "Podkova",
        "Poller+One,Poller One" => "Poller One",
        "Poly,Poly" => "Poly",
        "Pompiere,Pompiere" => "Pompiere",
        "Prata,Prata" => "Prata",
        "Prociono,Prociono" => "Prociono",
        "Puritan,Puritan" => "Puritan",
        "Quattrocento+Sans,Quattrocento Sans" => "Quattrocento Sans",
        "Quattrocento,Quattrocento" => "Quattrocento",
        "Questrial,Questrial" => "Questrial",
        "Quicksand,Quicksand" => "Quicksand",
        "Radley,Radley" => "Radley",
        "Raleway,Raleway" => "Raleway",
        "Rammetto+One,Rammetto One" => "Rammetto One",
        "Rancho,Rancho" => "Rancho",
        "Rationale,Rationale" => "Rationale",
        "Redressed,Redressed" => "Redressed",
        "Reenie+Beanie,Reenie Beanie" => "Reenie Beanie",
        "Ribeye+Marrow,Ribeye Marrow" => "Ribeye Marrow",
        "Ribeye,Ribeye" => "Ribeye",
        "Righteous,Righteous" => "Righteous",
        "Rochester,Rochester" => "Rochester",
        "Rock+Salt,Rock Salt" => "Rock Salt",
        "Rokkitt,Rokkitt" => "Rokkitt",
        "Rosario,Rosario" => "Rosario",
        "Ruslan+Display,Ruslan Display" => "Ruslan Display",
        "Salsa,Salsa" => "Salsa",
        "Sancreek,Sancreek" => "Sancreek",
        "Sansita+One,Sansita One" => "Sansita One",
        "Satisfy,Satisfy" => "Satisfy",
        "Schoolbell,Schoolbell" => "Schoolbell",
        "Shadows+Into+Light,Shadows Into Light" => "Shadows Into Light",
        "Shanti,Shanti" => "Shanti",
        "Short+Stack,Short Stack" => "Short Stack",
        "Sigmar+One,Sigmar One" => "Sigmar One",
        "Signika+Negative,Signika Negative" => "Signika Negative",
        "Signika,Signika" => "Signika",
        "Six+Caps,Six Caps" => "Six Caps",
        "Slackey,Slackey" => "Slackey",
        "Smokum,Smokum" => "Smokum",
        "Smythe,Smythe" => "Smythe",
        "Sniglet,Sniglet" => "Sniglet",
        "Snippet,Snippet" => "Snippet",
        "Sorts+Mill+Goudy,Sorts Mill Goudy" => "Sorts Mill Goudy",
        "Special+Elite,Special Elite" => "Special Elite",
        "Spinnaker,Spinnaker" => "Spinnaker",
        "Spirax,Spirax" => "Spirax",
        "Stardos+Stencil,Stardos Stencil" => "Stardos Stencil",
        "Sue+Ellen+Francisco,Sue Ellen Francisco" => "Sue Ellen Francisco",
        "Sunshiney,Sunshiney" => "Sunshiney",
        "Supermercado+One,Supermercado One" => "Supermercado One",
        "Swanky+and+Moo+Moo,Swanky and Moo Moo" => "Swanky and Moo Moo",
        "Syncopate,Syncopate" => "Syncopate",
        "Tangerine,Tangerine" => "Tangerine",
        "Tenor+Sans,Tenor Sans" => "Tenor Sans",
        "Terminal+Dosis,Terminal Dosis" => "Terminal Dosis",
        "The+Girl+Next+Door,The Girl Next Door" => "The Girl Next Door",
        "Tienne,Tienne" => "Tienne",
        "Tinos,Tinos" => "Tinos",
        "Tulpen+One,Tulpen One" => "Tulpen One",
        "Ubuntu+Condensed,Ubuntu Condensed" => "Ubuntu Condensed",
        "Ubuntu+Mono,Ubuntu Mono" => "Ubuntu Mono",
        "Ubuntu,Ubuntu" => "Ubuntu",
        "Ultra,Ultra" => "Ultra",
        "UnifrakturCook,UnifrakturCook" => "UnifrakturCook",
        "UnifrakturMaguntia,UnifrakturMaguntia" => "UnifrakturMaguntia",
        "Unkempt,Unkempt" => "Unkempt",
        "Unlock,Unlock" => "Unlock",
        "Unna,Unna" => "Unna",
        "VT323,VT323" => "VT323",
        "Varela+Round,Varela Round" => "Varela Round",
        "Varela,Varela" => "Varela",
        "Vast+Shadow,Vast Shadow" => "Vast Shadow",
        "Vibur,Vibur" => "Vibur",
        "Vidaloka,Vidaloka" => "Vidaloka",
        "Volkhov,Volkhov" => "Volkhov",
        "Vollkorn,Vollkorn" => "Vollkorn",
        "Voltaire,Voltaire" => "Voltaire",
        "Waiting+for+the+Sunrise,Waiting for the Sunrise" => "Waiting for the Sunrise",
        "Wallpoet,Wallpoet" => "Wallpoet",
        "Walter+Turncoat,Walter Turncoat" => "Walter Turncoat",
        "Wire+One,Wire One" => "Wire One",
        "Yanone+Kaffeesatz,Yanone Kaffeesatz" => "Yanone Kaffeesatz",
        "Yellowtail,Yellowtail" => "Yellowtail",
        "Yeseva+One,Yeseva One" => "Yeseva One",
        "Zeyada,Zeyada" => "Zeyada"
    );

return $fonts;

}